require 'json'
package = JSON.parse(File.read('package.json'))

Pod::Spec.new do |s|
  s.name                = "bab_native_essentials"
  s.version             = package["version"]
  s.description         = package["description"]
  s.summary             = <<-DESC
                            A React Native test plugin.
                          DESC
  s.homepage            = "https://www.google.com"
  s.license             = package['license']
  s.authors             = "Babul S Raj"
  s.source              = {:file => './' }
  s.platforms = { :ios => "11.0", :tvos => "11.0" }
  s.source_files        = 'iOS/Bab_Native_Bridge/**/*.{h,m}'
  s.dependency          'React'

end
