/**
 * @format
 */

import{callMyEmptyMethod, callCalender, addNumbers, addEvent} from './components/NativeInfoBridge';
import { NativeEventEmitter, NativeModules } from 'react-native';

const MyPackageEvents = {
    // Define the names of the events emitted by your package
    EVENT_NAME_1: 'NativeEvent1',
    
    // Add more event names if needed
  };
  
  const setupEventListeners = (eventHandlers) => {
    const myPackageEmitter = new NativeEventEmitter(NativeModules.ACHU); // Replace YourNativeModule with the actual name of your native module
  
    // Iterate over event handlers and add listeners for each event
    Object.keys(eventHandlers).forEach((eventName) => {
      const eventHandler = eventHandlers[eventName];
      const subscription = myPackageEmitter.addListener(eventName, eventHandler);
      
      // Optionally, you can return the subscription object if you want to manage it externally
      // eventHandlers[eventName]._subscription = subscription;
    });
  
    // Optionally, return a cleanup function if you need to remove the listeners externally
    // return () => {
    //   Object.keys(eventHandlers).forEach((eventName) => {
    //     eventHandlers[eventName]._subscription.remove();
    //   });
    // };
  };
  

export{callMyEmptyMethod,callCalender,MyPackageEvents,setupEventListeners,addNumbers,addEvent}
